package de.fitko.fitconnect.api.domain.model.metadata.attachment;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import de.fitko.fitconnect.api.domain.model.metadata.attachment.signature.Hash__1;
import de.fitko.fitconnect.api.domain.model.metadata.attachment.signature.Signature__1;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;
import java.util.UUID;


/**
 * Eine in der Einreichung enthaltene Anlage.
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "hash",
        "signature",
        "purpose",
        "filename",
        "description",
        "mimeType",
        "attachmentId"
})
@Getter
@Setter
public class Attachment {

    @JsonProperty("hash")
    Hash__1 hash;

    @JsonProperty("signature")
    Signature__1 signature;

    @JsonProperty("purpose")
    Purpose purpose;

    @JsonProperty("filename")
    String filename;

    @JsonProperty("description")
    String description;

    @JsonProperty("mimeType")
    String mimeType;

    @JsonProperty("attachmentId")
    UUID attachmentId;

    @JsonIgnore
    Map<String, Object> additionalProperties;
}


